### Method

# Ggit DiffBinary ref

#### Declaration [src]

    GgitDiffBinary*
    ggit_diff_binary_ref (
      GgitDiffBinary* binary
    )

#### Description [src]

Atomically increments the reference count of `binary` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitDiffBinary`

A `GgitDiffBinary` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.